LibreOffice: XControl Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XControl Interface Referencepublished

identifies a control. More...

`import <XControl.idl;`

Inheritance diagram for XControl:

## Public Member Functions
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control.
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control.
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen.
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set.
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control.
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control.
com::sun::star::awt::XView | getView ()
| returns the view of this control.
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor.
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise.
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

identifies a control.

Implementations of this interface are abstract windows. The main reason to instantiate this implementation is to show the window on the screen. Before the window appears on the screen, the XControl::createPeer() method must be called.

If the implementation of the control does not distinguish between model, view and controller, it must allow to set a new XGraphics in the view, so that the control can be printed.

## Member Function Documentation

## ◆ createPeer()

void createPeer | ( | [in] com::sun::star::awt::XToolkit | Toolkit,
|  | [in] com::sun::star::awt::XWindowPeer | Parent )

creates a "child" window on the screen.

If the parent is NULL, then the desktop window of the toolkit is the parent.

## ◆ getContext()

com::sun::star::uno::XInterface getContext | ( |  | ) |

gets the context of the control.

## ◆ getModel()

com::sun::star::awt::XControlModel getModel | ( |  | ) |

returns the model for this control.

## ◆ getPeer()

com::sun::star::awt::XWindowPeer getPeer | ( |  | ) |

returns the peer which was previously created or set.

## ◆ getView()

com::sun::star::awt::XView getView | ( |  | ) |

returns the view of this control.

## ◆ isDesignMode()

boolean isDesignMode | ( |  | ) |

returns `TRUE` if the control is in design mode, `FALSE` otherwise.

## ◆ isTransparent()

boolean isTransparent | ( |  | ) |

returns `TRUE` if the control is transparent, `FALSE` otherwise.

## ◆ setContext()

void setContext | ( | [in] com::sun::star::uno::XInterface | Context | ) |

sets the context of the control.

## ◆ setDesignMode()

void setDesignMode | ( | [in] boolean | bOn | ) |

sets the design mode for use in a design editor.

Normally the control will be painted directly without a peer.

## ◆ setModel()

boolean setModel | ( | [in] com::sun::star::awt::XControlModel | Model | ) |

sets a model for the control.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XControl.idl